LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Slackware (http://www.linuxquestions.org/questions/slackware-14/)
-   -   Error when installing AMD Catalyst 13.4 in Slackware 14.1 (http://www.linuxquestions.org/questions/slackware-14/error-when-installing-amd-catalyst-13-4-in-slackware-14-1-a-4175484009/)

fakhry 11-09-2013 09:32 AM

Error when installing AMD Catalyst 13.4 in Slackware 14.1
 
First, congrats for Slackware new release.
I succeed upgrading from 14.0 to 14.1.
But I got error when installing AMD Catalyst 13.4.
I was installing from binary with
Quote:

# sh amd-driver-installer-catalyst-13-4-x86.x86_64.run
I got the driver from http://support.amd.com/en-us/downloa...Linux%20x86_64
I got this error message:
Quote:

cc1: some warnings being treated as errors
make[2]: *** [/lib/modules/fglrx/build_mod/2.6.x/firegl_public.o] Error 1
make[1]: *** [_module_/lib/modules/fglrx/build_mod/2.6.x] Error 2
make[1]: Leaving directory `/usr/src/linux-3.10.17'
make: *** [kmod_build] Error 2
build failed with return value 2
[Error] Kernel Module : Failed to compile kernel module - please consult readme
[Reboot] Kernel module : mkinitrd
My notebook spec:
HP Compaq 435 with APU E350

Is anyone have the same problem?

cisneros 11-09-2013 01:53 PM

did you keep the old version of the kernel? or did you upgrade all at once?, the driver 13.4 fails with the more recent versions of the kernel, you need to test the last beta (13.11 beta6) instead.

Totoro-kun 11-09-2013 03:32 PM

I have experienced the same issue here too. Amd driver 13.4 would not compile module in Slackware64 14.1, however I have tried beta driver and so far so good. I even have tear-less desktop first time in ages! Overall Amd proprietary driver has improved a lot since last time I've used amd hardware.

fakhry 11-18-2013 05:49 AM

It solve now. I'm using beta driver.
Thanks everyone :)


All times are GMT -5. The time now is 07:37 AM.